=== icons/pics/CMakeLists.txt ===
INSTALL( 
    FILES hi64-actions-download.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)
