## rekonq 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,9 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_MAJOR_VERSION "0")
-SET(REKONQ_MINOR_VERSION "2")
-SET(REKONQ_PATCH_VERSION "0")
+SET(REKONQ_VERSION "0.3.0" )
 
-SET(REKONQ_VERSION_STR
-    "${REKONQ_MAJOR_VERSION}.${REKONQ_MINOR_VERSION}.${REKONQ_PATCH_VERSION}"
-   )
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
 SET(REKONQ_SITE "http://rekonq.sourceforge.net")
 
@@ -27,7 +23,7 @@
 
 SET(QT_MIN_VERSION 4.5.0)
 FIND_PACKAGE(Qt4 REQUIRED)
-SET(KDE_MIN_VERSION 4.2.0)
+SET(KDE_MIN_VERSION 4.3.1)
 FIND_PACKAGE(KDE4 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
@@ -40,7 +36,7 @@
 
 MESSAGE(STATUS "")
 MESSAGE(STATUS "-----------------------------------------------------------------------")
-MESSAGE(STATUS " rekonq ${REKONQ_VERSION_STR} dependencies results  <${REKONQ_SITE}>")
+MESSAGE(STATUS " rekonq ${REKONQ_VERSION} dependencies results  <${REKONQ_SITE}>")
 MESSAGE(STATUS "")
 
 # Require shared libraries results.
@@ -101,6 +97,7 @@
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
     ADD_SUBDIRECTORY( data )
+    ADD_SUBDIRECTORY( docs )
     ADD_SUBDIRECTORY( i18n )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)
