## rekonq 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.3.0" )
+SET(REKONQ_VERSION "0.4.0" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -21,9 +21,9 @@
 # ==================================================================================
 
 
-SET(QT_MIN_VERSION 4.5.0)
+SET(QT_MIN_VERSION 4.6.0)
 FIND_PACKAGE(Qt4 REQUIRED)
-SET(KDE_MIN_VERSION 4.3.1)
+SET(KDE_MIN_VERSION 4.4.0)
 FIND_PACKAGE(KDE4 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
@@ -53,7 +53,7 @@
     MESSAGE(STATUS " Qt library found...................... NO")
     MESSAGE(STATUS "")
     MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
-    MESSAGE(STATUS " Qt website is at http://www.qtsoftware.com")
+    MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
     MESSAGE(STATUS "")
 ENDIF(QT_FOUND)
 
@@ -96,7 +96,6 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
-    ADD_SUBDIRECTORY( data )
     ADD_SUBDIRECTORY( docs )
     ADD_SUBDIRECTORY( i18n )
