=== debian/control ===
Source: rekonq
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), docbook2x, kdelibs5-dev
Standards-Version: 3.8.4
Homepage: http://rekonq.sourceforge.net/

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-bin
Provides: www-browser
Description: KDE web browser based on Webkit
 Rekonq is a KDE web browser based off of Nokia's QtDemoBrowser, which is what
 the Arora web browser is based on. Rekonq's focus is to provide a
 QtWebKit-based web browser with superior KDE integration. Its aim is to
 embrace KDE technologies to have a fully-featured KDE web browser.
 .
 Features:
  - Tabbed browsing
  - Uses KDE download system for downloading files
  - Shares bookmarks with Konqueror
  - Supports proxies and anonymous browsing
  - Can inspect web pages
