=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-########### install files ###############
-#
+########### install files ################
 cmake_minimum_required(VERSION 2.6)
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
