=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,52 +8,69 @@
 
 SET( rekonq_KDEINIT_SRCS
     application.cpp 
+    clicktoflash.cpp
+    filterurljob.cpp
     findbar.cpp
     mainview.cpp
     mainwindow.cpp 
+    networkaccessmanager.cpp
+    newtabpage.cpp
+    paneltreeview.cpp
+    previewselectorbar.cpp
+    protocolhandler.cpp
     sessionmanager.cpp
     tabbar.cpp
+    walletbar.cpp
+    webinspectorpanel.cpp
     webpage.cpp
     webpluginfactory.cpp
+    websslinfo.cpp
     websnap.cpp
     webview.cpp
     webtab.cpp
-    clicktoflash.cpp
-    networkaccessmanager.cpp
-    webinspectorpanel.cpp
-    walletbar.cpp
-    protocolhandler.cpp
-    filterurljob.cpp
+    searchengine.cpp
     #----------------------------------------
     history/autosaver.cpp 
     history/historymanager.cpp
     history/historymodels.cpp
     history/historypanel.cpp
     #----------------------------------------
-    rekonqpage/newtabpage.cpp
-    rekonqpage/previewselectorbar.cpp
-    #----------------------------------------
     settings/settingsdialog.cpp
+    settings/adblockwidget.cpp
+    settings/appearancewidget.cpp
+    settings/generalwidget.cpp
+    settings/tabswidget.cpp
+    settings/webkitwidget.cpp
+    settings/networkwidget.cpp
     #----------------------------------------
     bookmarks/bookmarksmanager.cpp
     bookmarks/bookmarkspanel.cpp
     bookmarks/bookmarkstreemodel.cpp
     bookmarks/bookmarksproxy.cpp
+    bookmarks/bookmarkcontextmenu.cpp
     #----------------------------------------
     adblock/adblockmanager.cpp
     adblock/adblocknetworkreply.cpp
     adblock/adblockrule.cpp
     #----------------------------------------
+    urlbar/stackedurlbar.cpp
     urlbar/urlbar.cpp
-    urlbar/lineedit.cpp
+    urlbar/completionwidget.cpp
+    urlbar/urlresolver.cpp
+    urlbar/listitem.cpp
+    urlbar/rsswidget.cpp
+    #----------------------------------------
+    analyzer/analyzerpanel.cpp
+    analyzer/networkanalyzer.cpp
 )
 
 
 KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
     settings/settings_general.ui
     settings/settings_tabs.ui
-    settings/settings_fonts.ui
+    settings/settings_appearance.ui
     settings/settings_webkit.ui
+    settings/settings_adblock.ui
     cleardata.ui
  )
 
@@ -69,9 +86,11 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/history
                         ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/settings
+                        ${CMAKE_CURRENT_SOURCE_DIR}/analyzer
                         ${CMAKE_CURRENT_BINARY_DIR}
                         ${KDE4_INCLUDES}
                         ${QT4_INCLUDES}
+                        ${GTK2_INCLUDE_DIRS}
 )
 
 
@@ -95,6 +114,7 @@
                         ${KDE4_KIO_LIBS}
                         ${KDE4_KPARTS_LIBS}
                         ${KDE4_THREADWEAVER_LIBRARIES}
+                        ${GTK2_LIBRARIES}
 )
