=== debian/changelog ===
rekonq (0.5.0-2) unstable; urgency=medium

  * Fix CVE-2010-2536: multiple XSS vulnerabilities (Closes: #593300)
    - Add CVE-2010-2536_fix_xss_vulnerabilities.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 17 Aug 2010 11:16:04 +0200

rekonq (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0, no changes needed.
  * Add "-Wl,--as-needed" to LDFLAGS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 11 Jul 2010 12:51:01 +0200

rekonq (0.4.0-1) unstable; urgency=low

  * Upload to Debian. (Closes: #522396)
  * Set maintainer to Debian KDE Extras Team and add myself to uploaders.
  * Replace docbook manpage with one generated by kdemangen.pl.
  * Disable tests in debian/rules instead of patching the source.
    - Drop debian/patches
  * Enable parallel building.
  * Update debian/copyright.
  * Provide a debug package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 01:21:12 +0200

rekonq (0.4.0-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Register as x-www-browser alternative. (LP: #567211)
    - Add debian/rekonq.postinst and debian/rekonq.prerm

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 00:49:10 +0200
