=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

%:
	dh --parallel --with kde $@

override_dh_strip:
	dh_strip --dbg-package=rekonq-dbg

override_dh_auto_test:
	# disable tests as they require a running X server
