## rekonq 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.5.0" )
+SET(REKONQ_VERSION "0.6.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -20,16 +20,15 @@
 
 # ==================================================================================
 
-FIND_PACKAGE(Qt4 4.6.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
-FIND_PACKAGE(KDE4 4.4.0 REQUIRED)
+
+FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+FIND_PACKAGE(KDE4 4.5.0 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
 INCLUDE(FindPackageHandleStandardArgs)
 INCLUDE(KDE4Defaults)
 INCLUDE(MacroLibrary)
 
-FIND_PACKAGE(PkgConfig)
-PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0>=2.8.0)
 # ==================================================================================
 # Log messages
 
@@ -77,13 +76,13 @@
 
 ##### FINAL RESULTS #####
 
-IF(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
+IF(QT4_FOUND AND KDE4_FOUND)
     MESSAGE(STATUS " rekonq will be compiled............... YES")
     SET(REKONQ_CAN_BE_COMPILED true)
-ELSE(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
+ELSE(QT4_FOUND AND KDE4_FOUND)
     MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
     SET(REKONQ_CAN_BE_COMPILED false)
-ENDIF(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
+ENDIF(QT4_FOUND AND KDE4_FOUND)
 
 MESSAGE(STATUS "")
 MESSAGE(STATUS "-----------------------------------------------------------------------")
