=== i18n/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
+
+
 FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
  
 IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
-	MESSAGE(
+        MESSAGE(
 "------
                  NOTE: msgfmt not found. Translations will *not* be installed
 ------")
@@ -32,3 +34,4 @@
  
 ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
+
