=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,20 +7,25 @@
 ### ------- SETTING REKONQ FILES..
 
 SET( rekonq_KDEINIT_SRCS
-    application.cpp 
+    application.cpp
     clicktoflash.cpp
     filterurljob.cpp
     findbar.cpp
+    iconmanager.cpp
     mainview.cpp
-    mainwindow.cpp 
+    mainwindow.cpp
     networkaccessmanager.cpp
     newtabpage.cpp
+    notificationbar.cpp
     paneltreeview.cpp
     previewselectorbar.cpp
     protocolhandler.cpp
     sessionmanager.cpp
     tabbar.cpp
+    urlfilterproxymodel.cpp
+    urlpanel.cpp
     walletbar.cpp
+    webicon.cpp
     webinspectorpanel.cpp
     webpage.cpp
     webpluginfactory.cpp
@@ -28,9 +33,9 @@
     websnap.cpp
     webview.cpp
     webtab.cpp
-    searchengine.cpp
+    zoombar.cpp
     #----------------------------------------
-    history/autosaver.cpp 
+    history/autosaver.cpp
     history/historymanager.cpp
     history/historymodels.cpp
     history/historypanel.cpp
@@ -43,15 +48,19 @@
     settings/webkitwidget.cpp
     settings/networkwidget.cpp
     #----------------------------------------
-    bookmarks/bookmarksmanager.cpp
+    bookmarks/bookmarkprovider.cpp
     bookmarks/bookmarkspanel.cpp
     bookmarks/bookmarkstreemodel.cpp
-    bookmarks/bookmarksproxy.cpp
-    bookmarks/bookmarkcontextmenu.cpp
+    bookmarks/bookmarkscontextmenu.cpp
+    bookmarks/bookmarkstoolbar.cpp
+    bookmarks/bookmarkowner.cpp
     #----------------------------------------
+    adblock/adblockhostmatcher.cpp
     adblock/adblockmanager.cpp
     adblock/adblocknetworkreply.cpp
     adblock/adblockrule.cpp
+    adblock/adblockrulefallbackimpl.cpp
+    adblock/adblockruletextmatchimpl.cpp
     #----------------------------------------
     urlbar/stackedurlbar.cpp
     urlbar/urlbar.cpp
@@ -59,9 +68,16 @@
     urlbar/urlresolver.cpp
     urlbar/listitem.cpp
     urlbar/rsswidget.cpp
+    urlbar/bookmarkwidget.cpp
     #----------------------------------------
     analyzer/analyzerpanel.cpp
     analyzer/networkanalyzer.cpp
+    #----------------------------------------
+    search/searchengine.cpp
+    search/opensearchwriter.cpp
+    search/opensearchreader.cpp
+    search/opensearchmanager.cpp
+    search/opensearchengine.cpp
 )
 
 
@@ -87,10 +103,10 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/settings
                         ${CMAKE_CURRENT_SOURCE_DIR}/analyzer
+                        ${CMAKE_CURRENT_SOURCE_DIR}/search
                         ${CMAKE_CURRENT_BINARY_DIR}
                         ${KDE4_INCLUDES}
                         ${QT4_INCLUDES}
-                        ${GTK2_INCLUDE_DIRS}
 )
 
 
@@ -106,15 +122,15 @@
 ### --------------- TARGETTING LINK LIBRARIES...
 
 TARGET_LINK_LIBRARIES ( kdeinit_rekonq
-                        ${QT_LIBRARIES} 
-                        ${QT_QTWEBKIT_LIBRARY} 
+                        ${QT_LIBRARIES}
+                        ${QT_QTSCRIPT_LIBRARY}
+                        ${QT_QTWEBKIT_LIBRARY}
                         ${KDE4_KDEWEBKIT_LIBS}
                         ${KDE4_KUTILS_LIBS}
                         ${KDE4_KDEUI_LIBS}
                         ${KDE4_KIO_LIBS}
                         ${KDE4_KPARTS_LIBS}
                         ${KDE4_THREADWEAVER_LIBRARIES}
-                        ${GTK2_LIBRARIES}
 )
 
 
@@ -122,4 +138,6 @@
 
 INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
 INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )
+
 INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
+INSTALL( FILES rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )
