=== debian/changelog ===
rekonq (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Drop kubuntu_07_fix_opensearch.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 05 Oct 2010 22:28:27 +0530

rekonq (0.6.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_07_fix_opensearch.diff to fix opensearch engine when 
    there is no network connection (LP: #647332)

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 03 Oct 2010 16:25:22 +0530

rekonq (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Remove kubuntu_01_do_not_depend_on_gtk.diff, kubuntu_02_apturl.diff
    kubuntu_03_desktop_generic_name.diff from debian/patches

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 13 Sep 2010 18:33:04 +0530

rekonq (0.5.80-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Refresh kubuntu_06_restricted_install.diff
    - Disable kubuntu_01_do_not_depend_on_gtk.diff, kubuntu_02_apturl.diff,
      kubuntu_03_desktop_generic_name.diff,applied upstream

  [ Jonathan Riddell ]
  * Add fetch_translations target to debian/rules to download translations
  * Include translations in po/

 -- Rohan Garg <rohangarg@ubuntu.com>  Sun, 22 Aug 2010 20:42:35 +0530

rekonq (0.5.0-1ubuntu6) maverick; urgency=low

  * Add kubuntu_06_restricted_install.diff to prompt for installing flash.
  * Apply patches as advertised in 0.5.0-1ubuntu4 instead of the accidentally
    added patch debian-changes-0.5.0-1ubuntu4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 03 Aug 2010 14:59:47 +0200

rekonq (0.5.0-1ubuntu5) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_rekonq

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:07:04 +0100

rekonq (0.5.0-1ubuntu4) maverick; urgency=low

  * Add kubuntu_04_no_default_bookmarks.diff for no bookmarks by default
  * Add kubuntu_05_default_homepages.diff to set more friendly default
    homepages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 13:51:34 +0100

rekonq (0.5.0-1ubuntu3) maverick; urgency=low

  * Add kubuntu_03_desktop_generic_name.diff to make generic name
    sensible

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 13:13:37 +0100

rekonq (0.5.0-1ubuntu2) maverick; urgency=low

  * Rebuild for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Jul 2010 16:47:28 +0100

rekonq (0.5.0-1ubuntu1) maverick; urgency=low

  * Merge from debian,remaining changes
    - Keep kubuntu_01_do_not_depend_on_gtk.diff and kubuntu_02_apturl.diff

 -- Rohan Garg <rohangarg@ubuntu.com>  Sat, 17 Jul 2010 18:29:10 +0530

rekonq (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Remove kubuntu_01_flashplugin_workaround.diff
    - Add kubuntu_01_do_not_depend_on_gtk.diff, in this version Rekonq depends
      on libgtk for the flashplugins workaround, no need with the
      latest qtwebkit
    - Add kubuntu_02_apturl.diff for apturl support (thanks to Rohan Garg)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 21:56:23 +0200

rekonq (0.4.95-0ubuntu3) maverick; urgency=low

  * Add kubuntu_01_flashplugin_workaround.diff from upstream, fixes
    crashes with Flash

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Jun 2010 13:37:47 +0100

rekonq (0.4.95-0ubuntu2) maverick; urgency=low

  * No change upload to get translation templates built
    now rekonq is in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jun 2010 12:38:52 +0100

rekonq (0.4.95-0ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, no remaining changes.
  * New upstream beta.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 10 Jun 2010 11:54:39 +0200

rekonq (0.4.90-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add libqt4-webkit-dev as a build-depend now that it's no longer a part of
    libqt4-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 May 2010 21:33:32 -0400
