=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: rekonq
 Section: web
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>
 Build-Depends: debhelper (>= 7.3.16~),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
-               pkg-config,
-               kdelibs5-dev,
-               libgtk2.0-dev
+               kdelibs5-dev
 Standards-Version: 3.9.0
 Homepage: http://rekonq.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/rekonq/trunk
@@ -29,7 +28,7 @@
   - integrates with the kget download manager
   - anonymous browsing mode
 
-Package: rekonq-dbg
+Package: rekonq-dbg                    
 Section: debug
 Priority: extra
 Architecture: any
